OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000948OMNeT++simulation kernelpublic2016-02-19 17:222017-01-11 20:06
Reportertill 
Assigned Toandras 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version5.0b3 
Target VersionFixed in Version5.0 
Summary0000948: Feature (contains necessary patch): Making EventlogManagerClass configurable in ini
DescriptionThe attached patch allows to configure the EventlogManagerClass in OMNeT++ ini, thereby allowing users to implement their own eventlogmanagers.

- EventlogManagers must Implement cIEventlogManager interface (envirext.h)
- use new config option: eventlogmanager-class = "MyClass" (Default is EventlogFileManager, so all changes are completely transparent!)
Additional InformationEventlogFileManager changed to implement interface!
TagsNo tags attached.
Attached Fileszip file icon EventlogManagerPatch.zip [^] (4,406 bytes) 2016-02-19 17:22

- Relationships

-  Notes
(0001207)
andras (administrator)
2016-04-07 16:26

An edited version of the EventlogManager interface was added.

- Issue History
Date Modified Username Field Change
2016-02-19 17:22 till New Issue
2016-02-19 17:22 till File Added: EventlogManagerPatch.zip
2016-04-07 16:26 andras Note Added: 0001207
2016-04-07 16:26 andras Status new => resolved
2016-04-07 16:26 andras Fixed in Version => 5.0
2016-04-07 16:26 andras Resolution open => fixed
2016-04-07 16:26 andras Assigned To => andras


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker